%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Data Type Library
Name: eina
Version: 1.0.1
Release: %mkrel 1
License: LGPLv2+
Group: Graphical desktop/Enlightenment
Source: http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
URL: http://www.enlightenment.org/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Eina is a data type library.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std

%clean
rm -fr %buildroot

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*


%changelog
* Sun May 29 2011 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 681648
- update to new version 1.0.1

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2
+ Revision: 664129
- mass rebuild

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-1
+ Revision: 633900
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta3.1mdv2011.0
+ Revision: 622780
- 1.0 beta3

* Sun Nov 14 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 597465
- 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta.1mdv2011.0
+ Revision: 585278
- 1.0 beta

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 0.9.9.49898-1mdv2011.0
+ Revision: 549890
- New version 0.9.9.49898

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.9.9.063-1mdv2010.1
+ Revision: 478093
- new version 0.9.9.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.0.2.062-1mdv2010.0
+ Revision: 411057
- new version 0.0.2.062

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.0.2.061-1mdv2010.0
+ Revision: 392853
- new version 0.0.2.061

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.0.2.060-1mdv2010.0
+ Revision: 370573
- New version 0.0.2.060

* Wed Mar 04 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-3mdv2009.1
+ Revision: 348382
- SVN SNAPSHOT 20090227, release 0.0.1

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-2mdv2009.1
+ Revision: 347179
- eina mempool is needed in the libraries package

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-1mdv2009.1
+ Revision: 345449
- remove epoch
- change group
- add buildroot tag
- import eina


